Skip to content
Bpanda
English
Esc
↑↓navigate↵open⌘Jpreview

Export the given elements as an ArchiMate XML file.

Export the given elements as an ArchiMate XML file. Exports the architecture elements with the given IDs and their relationships as an ArchiMate-XML file. An empty list exports the whole warehouse.

Security: Manager or Designer of the process space.

POST/v1/warehouses/{warehouseId}/archimate/export
Authorization
AuthorizationBearer token (JWT) · headerrequired
BpmLicenseAPI key · headerrequired
Path parameters
warehouseIdstringrequired

ID of warehouse

Query parameters
xmlOnlyboolean

if true, yields the plain ArchiMate document instead of the ZIP

Request body
requiredapplication/json

Architecture element IDs to export, empty for all

Array of string
string
Responses
200

The exported ZIP, or the plain ArchiMate-XML file when xmlOnly=true

403

Forbidden: insufficient permissions

string
404

Warehouse not found

string
Try it
Server
Authorization
Parameters
Bodyapplication/json
Request
curl -X POST 'https://publicapi.goto.bpanda.com/bpm/api/v1/warehouses/string/archimate/export' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'BpmLicense: YOUR_API_KEY' \
  -H 'Content-Type: application/json' \
  -d '[
  "string"
]'
Response
The exported ZIP, or the plain ArchiMate-XML file when xmlOnly=true